package com.ho.filecenter.service;

import com.ho.filecenter.entity.FlowMonitor;
import com.ho.filecenter.vo.flowMonitor.PackageDetailRespVo;

import java.util.List;

/**
 * @author gyan
 * @desc: TODO
 * @DateTime: 2024/1/17 11:02
 */
public interface MobileApiService {

    //查询移动token并且存入缓存
    String getMoveToken();

    //查询套餐的流量数据
    void getMobileAllData(List<FlowMonitor> mobileFlowMonitors);

    String getQueryPackage(FlowMonitor flowMonitor);

    PackageDetailRespVo analysisPackage(String res);

    String getSingleCard(String iccid);
}
